summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPhilippe Chaintreuil <gentoo_bugs_peep@parallaxshift.com>2020-06-08 10:35:38 -0400
committerThomas Deutschmann <whissi@gentoo.org>2020-06-12 16:30:34 +0200
commit69a4cfdb585bd153a03ac4a348b2e7a8a73b6a32 (patch)
treea68f6d99577cd292656ebc5ed60f23c6636be581 /mail-client
parentapp-admin/graylog: security cleanup (diff)
downloadgentoo-69a4cfdb585bd153a03ac4a348b2e7a8a73b6a32.tar.gz
gentoo-69a4cfdb585bd153a03ac4a348b2e7a8a73b6a32.tar.bz2
gentoo-69a4cfdb585bd153a03ac4a348b2e7a8a73b6a32.zip
mail-client/roundcube: 1.4.6 version bump
Just a copy of 1.4.4. Closes: https://bugs.gentoo.org/727534 Closes: https://github.com/gentoo/gentoo/pull/16119 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Philippe Chaintreuil <gentoo_bugs_peep@parallaxshift.com> Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'mail-client')
-rw-r--r--mail-client/roundcube/Manifest1
-rw-r--r--mail-client/roundcube/roundcube-1.4.6.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/mail-client/roundcube/Manifest b/mail-client/roundcube/Manifest
index 7731196a331..cdff49e7642 100644
--- a/mail-client/roundcube/Manifest
+++ b/mail-client/roundcube/Manifest
@@ -7,3 +7,4 @@ DIST roundcubemail-1.4.1-complete.tar.gz 6998687 BLAKE2B ff33e512bb202d37d77ae2a
DIST roundcubemail-1.4.2-complete.tar.gz 7006013 BLAKE2B f92b94de3ce58cd145ce3d30875902d44410cb039176be5c2d09a23741b08405b21107b03a0ae302cfdf5a845a49cf044f13a09b582f291639648aac3b2f4c81 SHA512 3f705bc38b44a0b7ea3241b0222f607b040ec01c8ea400b6b6222fbe346570c5f3450e5a188bab99ea171481453eb3f5b1e7457070ace1144558ec662a4273bb
DIST roundcubemail-1.4.3-complete.tar.gz 7028284 BLAKE2B c53efbee437960339c6e80a1fd2affff8ae8dfebd886cf029fc081d16c7874f0b6ea7fa03edb54276384dbf9d3948d84a6869f97cf3ce6bf27c52d50ba76ca56 SHA512 c65359473d08a46dbd42894c2758a46209491fc421ee58ab5b1c0d0d56e3fec8b2f43d01b18cb8934589cbee7e7abfda2c8efbf02b3521790d7b45ed6dc88a1e
DIST roundcubemail-1.4.4-complete.tar.gz 7029864 BLAKE2B 2a6764a65c29e3deac6275c3dfd19ab2bee1f33ae1a7767561fcac25688bb8f3f7eeaee3eece20d2a6210aff18a5e493d0be709f4a3ae2ad4f3cfd9a1b124f06 SHA512 ddea321b5266c547f67c010147e9aa1457bea4802bec37f9e9d87e691bdc8df27f5c90cff8770de2458822160b85f7359f62742072ae1d642a040b9d88651519
+DIST roundcubemail-1.4.6-complete.tar.gz 7031573 BLAKE2B 541147faeb2fafbf15fd3a4f42a5ecbb642113f02ea9135c91d3b359ec4582e490b80b2e20efa1f6afe8c35e5afe2263682a717a5342198a9eabb7e555e302bb SHA512 e86763ced58cfa8174f71d33ae45cd62f26a58853b9361b800003fa5bf883a4106c957f66b6b17b03172a3ee595ca74d7c19ac38e449a23377defd77cf555742
diff --git a/mail-client/roundcube/roundcube-1.4.6.ebuild b/mail-client/roundcube/roundcube-1.4.6.ebuild
new file mode 100644
index 00000000000..6d3b3ede4e4
--- /dev/null
+++ b/mail-client/roundcube/roundcube-1.4.6.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit webapp
+
+MY_PN=${PN}mail
+MY_PV=${PV/_/-}
+MY_P=${MY_PN}-${MY_PV}
+
+DESCRIPTION="A browser-based multilingual IMAP client with an application-like user interface"
+HOMEPAGE="https://roundcube.net"
+SRC_URI="https://github.com/${PN}/${MY_PN}/releases/download/${MY_PV}/${MY_P}-complete.tar.gz"
+
+# roundcube is GPL-licensed, the rest of the licenses here are
+# for bundled PEAR components, googiespell and utf8.class.php
+LICENSE="GPL-3 BSD PHP-2.02 PHP-3 MIT public-domain"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="change-password enigma ldap mysql postgres sqlite ssl spell"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+# this function only sets DEPEND so we need to include that in RDEPEND
+need_httpd_cgi
+
+RDEPEND="
+ ${DEPEND}
+ >=dev-lang/php-5.4.0[filter,gd,iconv,json,ldap?,pdo,postgres?,session,sqlite?,ssl?,unicode,xml]
+ virtual/httpd-php
+ change-password? (
+ dev-lang/php[sockets]
+ )
+ enigma? (
+ app-crypt/gnupg
+ )
+ mysql? (
+ || (
+ dev-lang/php[mysql]
+ dev-lang/php[mysqli]
+ )
+ )
+ spell? ( dev-lang/php[curl,spell] )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc CHANGELOG INSTALL README.md UPGRADING
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r [[:lower:]]* SQL
+ doins .htaccess
+
+ webapp_serverowned "${MY_HTDOCSDIR}"/logs
+ webapp_serverowned "${MY_HTDOCSDIR}"/temp
+
+ webapp_configfile "${MY_HTDOCSDIR}"/config/defaults.inc.php
+ webapp_postupgrade_txt en "${FILESDIR}/POST-UPGRADE_complete.txt"
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ webapp_pkg_postinst
+
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ elog "You can review the post-upgrade instructions at:"
+ elog "${EROOT%/}/usr/share/webapps/${PN}/${PV}/postupgrade-en.txt"
+ fi
+}